Bug 1411631 - RFE: Improve the way the system subscription status is described
Summary: RFE: Improve the way the system subscription status is described
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cockpit
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: pre-dev-freeze
: ---
Assignee: Andreas Nilsson
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: ovirt-node-ng-43-el76-platform
TreeView+ depends on / blocked
 
Reported: 2017-01-10 07:40 UTC by Wei Wang
Modified: 2018-03-02 09:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-02 09:30:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
picture (26.23 KB, image/png)
2017-01-10 07:40 UTC, Wei Wang
no flags Details
log files (424.80 KB, application/x-gzip)
2017-01-10 07:40 UTC, Wei Wang
no flags Details

Description Wei Wang 2017-01-10 07:40:09 UTC
Created attachment 1238991 [details]
picture

Description of problem:
Subscriptions status displays wrong after register RHVH to RHSM.

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-0.20170104.0
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch
cockpit-ws-126-1.el7.x86_64
imgbased-0.9.2-0.1.el7ev.noarch


How reproducible:
100%

Steps to Reproduce:
1. Install RHVH 4.1
2. Login cockpit website hostIP:9090 with root account
3. Go to Tools---> Subscriptions
4. Register RHVH to RHSM with username and password
5. Check the status of "Subscriptions"



Actual results:
Subscriptions status displays wrong after register RHVH to RHSM.
It displays "Current"

Expected results:
Subscriptions status should be shown like "System is registered".


Additional info:

Comment 1 Wei Wang 2017-01-10 07:40:44 UTC
Created attachment 1238992 [details]
log files

Comment 3 Dominik Perpeet 2017-01-13 10:43:52 UTC
We currently get this status directly from subscription-manager. [1]

"Current" implies that the system is not just registered, but has active (current) subscriptions.

Can you please verify that the status in Cockpit matches the output of "subscription-manager status"? If not, it's an actual bug - otherwise an RFE for possible clarification.

[1] "subscription-manager status" https://github.com/cockpit-project/cockpit/blob/master/pkg/subscriptions/subscriptions-client.js#L363

Comment 4 Wei Wang 2017-01-16 08:58:50 UTC
(In reply to Dominik Perpeet from comment #3)
> We currently get this status directly from subscription-manager. [1]
> 
> "Current" implies that the system is not just registered, but has active
> (current) subscriptions.
> 
> Can you please verify that the status in Cockpit matches the output of
> "subscription-manager status"? If not, it's an actual bug - otherwise an RFE
> for possible clarification.
> 
> [1] "subscription-manager status"
> https://github.com/cockpit-project/cockpit/blob/master/pkg/subscriptions/
> subscriptions-client.js#L363
I have tested with RHVH rhvh-4.1-0.20170112.0, the status in cockpit matches the output of "subscription-manager status", all the status is "Current"

[root@dhcp-8-149 ~]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current

I think the word cannot give the explicit implication of the status.

Comment 5 Dominik Perpeet 2017-01-16 12:44:34 UTC
Considering the output of Cockpit matches that of the underlying technology (subscription manager), I don't think this is a Cockpit bug.

You can request for a change in subscription manager or we can see if there is a way to add an explanation. Considering the sheer number of possible system states in subscription manager and the fact that decoupling the Cockpit display from subscription manager's output introduces a point of potential failure, changing this is not as trivial as it might appear initially.

From Cockpit's perspective we'll treat this as an RFE for a design to supplemene subscription manager's output.

Comment 6 Martin Pitt 2018-03-02 09:30:46 UTC
In RHEL 8 cockpit-subscriptions will be dropped in favor of subscription-manager-cockpit (it's already available in RHEL 7.5), so we most likely won't work on this any more unless there is some urgency. As changing this string will also break all translations, I suggest not changing this for 7.x any more.

Please reopen if you disagree.


Note You need to log in before you can comment on or make changes to this bug.